#!/usr/bin/perl
###################################################################
###      File: /home/users2/schmid/src/TBProgs/TMod/extract-words.perl
###    Author: Helmut Schmid                                    ###
###   Purpose:                                                  ###
###   Created: Wed Apr 30 13:47:32 2003                         ###
###  Modified: Fri Apr  1 08:50:47 2005 (schmid)                ###
### Copyright: Institut fuer maschinelle Sprachverarbeitung     ###
###               Universitaet Stuttgart                        ###
###################################################################


# extracts the sequence of words from parse trees

undef $/;
$all = <>;
$all =~ s/\(TOP /\(TOP /g;

foreach $_ (split(//, $all)) {
  next if /^\s*$/;
  while (s/\((\S+) +(([^ \t\)*]|\\.)+)\)//) {
    next if $1 eq '-NONE-';
    $w = $2;
    $w =~ s/\\(.)/$1/g;
    print "$w\n";
  }
  print "\n";
}
